Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.tracer
Class FluxRenderer

    java.lang.Object
      de.grogra.imp.Renderer
          de.grogra.gpuflux.tracer.FluxRenderer

All Implemented Interfaces:
  Options, Disposable, java.awt.image.ImageObserver

    public class FluxRenderer

extends Renderer
implements Options

Field Summary
`static EnumerationType` | `TRACER`

Fields inherited from class de.grogra.imp.Renderer
`height, observers, view, width`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FluxRenderer(Map params)`

Method Summary
`void` | `dispose()`
`java.lang.Object` | `get(java.lang.String key, java.lang.Object def)` Returns the option value for the option identified by `key`.
`java.lang.Object` | `getClassOption(java.lang.String key, java.lang.Object def)`
`java.lang.String` | `getName()`
`void` | `render()`

Methods inherited from class de.grogra.imp.Renderer
`addImageObserver, computeImage, imageUpdate, initialize, initializeImpl, waitForImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACER

    public static final EnumerationType TRACER

Constructor Detail

### FluxRenderer

    public FluxRenderer(Map params)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### get

    public java.lang.Object get(java.lang.String key,
                                java.lang.Object def)

  Description copied from interface: `Options`
  Returns the option value for the option identified by `key`. If no special value for the option is defined, `defaultValue` is returned.

  Specified by:
    `get` in interface `Options`
  Parameters:
    `key` - identifier for option
    `def` - default value of option
  Returns:
    value of option named `key`

### getClassOption

    public java.lang.Object getClassOption(java.lang.String key,
                                           java.lang.Object def)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Renderer`

### render

    public void render()
                throws java.io.IOException

  Specified by:
    `render` in class `Renderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD